Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class User

    java.lang.Object
      |
      +--org.hsqldb.User

class User
extends java.lang.Object

Class declaration

Constructor Summary
`(package private)` | `User(java.lang.String name, java.lang.String password, boolean admin, User pub)` Constructor declaration

Method Summary
`(package private) void` | `check(java.lang.String object, int right)` Method declaration
`(package private) void` | `checkAdmin()` Method declaration
`(package private) void` | `checkPassword(java.lang.String test)` Method declaration
`(package private) java.lang.String` | `getName()` Method declaration
`(package private) java.lang.String` | `getPassword()` Method declaration
`(package private) java.util.Hashtable` | `getRights()` Method declaration
`(package private) void` | `grant(java.lang.String object, int right)` Method declaration
`(package private) boolean` | `isAdmin()` Method declaration
`(package private) void` | `revoke(java.lang.String object, int right)` Method declaration
`(package private) void` | `revokeAll()` Method declaration
`(package private) void` | `setPassword(java.lang.String password)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### User

    User(java.lang.String name,
         java.lang.String password,
         boolean admin,
         User pub)

  Constructor declaration
  Parameters:
    `name` -
    `password` -
    `admin` -
    `pub` -

Method Detail

### getName

    java.lang.String getName()

  Method declaration
  Returns:

### getPassword

    java.lang.String getPassword()

  Method declaration
  Returns:

### getRights

    java.util.Hashtable getRights()

  Method declaration
  Returns:

### setPassword

    void setPassword(java.lang.String password)

  Method declaration
  Parameters:
    `password` -

### checkPassword

    void checkPassword(java.lang.String test)
                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `test` -
  Throws:
    java.sql.SQLException -

### grant

    void grant(java.lang.String object,
               int right)

  Method declaration
  Parameters:
    `object` -
    `right` -

### revoke

    void revoke(java.lang.String object,
                int right)

  Method declaration
  Parameters:
    `object` -
    `right` -

### revokeAll

    void revokeAll()

  Method declaration

### check

    void check(java.lang.String object,
               int right)
         throws java.sql.SQLException

  Method declaration
  Parameters:
    `object` -
    `right` -
  Throws:
    java.sql.SQLException -

### checkAdmin

    void checkAdmin()
              throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### isAdmin

    boolean isAdmin()

  Method declaration
  Returns:

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD